#
# spec file for package xteddy
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xteddy
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
Provides:       xteddy10
Requires:       imlib2-loaders
Summary:        A cuddly teddy bear for your X Window desktop
License:        GPL-2.0+
Group:          Amusements/Toys/Graphics
Version:        2.2
Release:        lp150.2.2
Source:         xteddy_2.2.orig.tar.bz2
Patch:          teddy-2.2-as-needed.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://webstaff.itn.liu.se/~stegu/xteddy/

%description
Normally, xteddy just sits around doing nothing. After all, that's what
teddy bears are for. Look at him, talk to him, place heavy windows on
top of him, zap him around until he becomes dizzy, do what you like; he
will always be your true (albeit virtual) friend.

You can move xteddy with the mouse by pointing at him and dragging him
around. When clicked upon, he will pop up on top of all other windows.
If you type "q" on him, he will die (or, as I like to think of it, be
tucked away in the file system until you need him next time).

That's it. But he's cute.



Authors:
--------
    Stefan Gustavson <stefang@isy.liu.se>

%prep
%setup -q
%patch
sed -i s,/usr/games,/usr/bin, xtoys

%build
autoreconf --force --install
%configure 
%{__make} %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
#cd $RPM_BUILD_ROOT/usr/X11R6/bin/ && ln xteddy xpenguin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc	html/*.html
%doc	html/images
	%{_bindir}/*
	%{_mandir}/man6/*
	%{_datadir}/%{name}
#

%changelog
* Thu Jan 25 2018 ma@suse.com
- imlib2-loaders are required to display images (bsc#1076908)
* Tue Jun 23 2015 ma@suse.com
- fix path to xteddy in xtoys (bnc#935205)
* Sat Nov  1 2014 crrodriguez@opensuse.org
- Teddy's cute but bloated in build dependencies, replace
  xorg-x11-devel with just two individual X libraries.
* Sun Jun  1 2014 jengelh@inai.de
- Drop unused build-time requirements on libgif, libtiff, libpng
* Wed Nov 30 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Mon Aug 29 2011 coolo@novell.com
- link to Xext too, you need it
* Wed Jun 16 2010 lnussel@suse.de
- fix path to xteddy in xtoys
* Tue Dec 29 2009 crrodriguez@opensuse.org
- update to version 2.2, switching to imlib2
* Tue Dec  5 2006 ma@suse.de
- don't install below /usr/X11R6.
* Fri Jun 16 2006 schwab@suse.de
- Set mandir.
- Use RPM_OPT_FLAGS.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 28 2004 ma@suse.de
- new version 2.0.1
* Mon May 10 2004 hmacht@suse.de
- added # norootforbuild in specfile
* Mon May 26 2003 coolo@suse.de
- use BuildRoot
* Wed Sep 18 2002 ro@suse.de
- removed bogus self-provides
* Tue Oct 31 2000 ma@suse.de
- removed group unsorted
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Oct 20 1997 ma@suse.de
- new version 1.0.3
